Package com.uca.data_validation

## Class IdentifierValidator

- java.lang.Object
- - com.uca.data_validation.IdentifierValidator

    public final class IdentifierValidator
    extends java.lang.Object

### Constructor Summary

Constructors
`IdentifierValidator()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isAirportIdValid​(java.lang.String airportId)`
`static boolean` `isCityIdValid​(java.lang.String cityId)`
`static boolean` `isCompanyPrefixValid​(java.lang.String companyPrefix)`
`static boolean` `isFlightIdValid​(java.lang.String flightId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IdentifierValidator

    public IdentifierValidator()

### Method Detail

#### isCompanyPrefixValid

    public static boolean isCompanyPrefixValid​(java.lang.String companyPrefix)

#### isCityIdValid

    public static boolean isCityIdValid​(java.lang.String cityId)

#### isAirportIdValid

    public static boolean isAirportIdValid​(java.lang.String airportId)

#### isFlightIdValid

    public static boolean isFlightIdValid​(java.lang.String flightId)